Rated 1 out of 5 stars

Not compatible with Firefox 17.0.1

This review is for a previous version of the add-on (2.0).